org.eclipse.jgit.transport

## Class UploadPackInternalServerErrorException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.io.IOException
      - - org.eclipse.jgit.transport.UploadPackInternalServerErrorException

All Implemented Interfaces:
  Serializable

    public class UploadPackInternalServerErrorException
    extends IOException

UploadPack has already reported an error to the client.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`UploadPackInternalServerErrorException(Throwable why)` Initialize a new exception.

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### UploadPackInternalServerErrorException

    public UploadPackInternalServerErrorException(Throwable why)

Initialize a new exception.

Parameters:
  `why` - root cause.